package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.property.model.Message;

/**
 * <p>
 * 物业端消息表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
public interface IMessageService extends IService<Message> {
    /**
     * 查询消息待办列表
     * @param parameter
     * @param orgId
     * @return
     */
    ResponseBean messageLiset(String parameter, Integer orgId, Integer userID);

    /**
     * 查询关于我的所有消息
     * @param parameter
     * @param orgId
     * @param id
     * @return
     */
    ResponseBean myMessageList(String parameter, Integer orgId, Integer id);

    /**
     * 批量删除（已读）
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean delectRead(String parameter, Integer id);
}
